Package org.apache.lucene.queryparser.xml

## Class QueryBuilderFactory

- java.lang.Object
- - org.apache.lucene.queryparser.xml.QueryBuilderFactory

- All Implemented Interfaces:
    `QueryBuilder`

      public class QueryBuilderFactory
      extends Object
      implements QueryBuilder

  Factory for `QueryBuilder`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QueryBuilderFactory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addBuilder​(String nodeName, QueryBuilder builder)` |
    `Query` | `getQuery​(Element n)` |
    `QueryBuilder` | `getQueryBuilder​(String nodeName)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryBuilderFactory

          public QueryBuilderFactory()

  - ### Method Detail

    - #### getQuery

          public Query getQuery​(Element n)
                         throws ParserException

      Specified by:
        `getQuery` in interface `QueryBuilder`
      Throws:
        `ParserException`

    - #### addBuilder

          public void addBuilder​(String nodeName,
                                 QueryBuilder builder)

    - #### getQueryBuilder

          public QueryBuilder getQueryBuilder​(String nodeName)